/* -------------------------------------------------------------------------- */
/* --- Generalised Properties ----------------------------------------------- */
/* -------------------------------------------------------------------------- */
body {
  height: 100%;
  position: fixed;
  width: 100%;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.alerts {
  position: absolute;
  top: 50px;
  left: 25%;
  right: 10%;
  width: 50%;
  z-index: 1000;
  font-weight: bold;
}
.container-fluid {
  padding: 0 0 0 0;
  height: 100%;
}
.table, .table-hover, .table-condensed {
  padding-left: 15px;
}
.table tbody tr.highlight td,
.table-hover tbody tr.highlight td,
.table-condensed tbody tr.highlight td {
  background-color: rgba(255, 255, 255, 1) !important;
}
.table tbody tr.highlight td:first-child,
.table-hover tbody tr.highlight td:first-child,
.table-condensed tbody tr.highlight td:first-child {
  background-color: rgba(0, 0, 0, 0.05) !important;
}
div .row {
  margin-left: 0px !important;
  text-align: center;
}

::-webkit-scrollbar {
    display: none;
}
div.bootbox-body table th,
div.bootbox-body table td {
  padding-left: 5px;
}
div.bootbox-body table thead {
  background-color: rgba(0,0,0,0.4);
}
div.bootbox-body table tbody th {
  background-color: rgba(0,0,0,0.25);
  border-top: 7px solid #FFF;
}
div.bootbox-body table tbody td:first-child {
  background-color: rgba(0,0,0,0.1);
}

.my-tour-overlay {
  display: none;
  background: rgba(0,0,0,0.5);
  opacity: 0.5;
  z-index: 9997;
  min-height: 100%;
  height: 100%;
  position: fixed;
  top: 0; right: 0; bottom: 0; left: 0;
}
.my-tour-highlight {
  background: #FFF;
  position: relative;
  border-radius: 4px;
  box-shadow: inset 0 0 2px rgba( 0, 0, 0, 0.2 );
  z-index: 9998;
}
.my-tour-highlight-alt {
  background: #2B2B2B;
  position: relative;
  border-radius: 4px;
  box-shadow: inset 0 0 2px rgba( 0, 0, 0, 0.2 );
  z-index: 9998;
}



/* -------------------------------------------------------------------------- */
/* --- HEADER --------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
div.header {
  height: 5%;
  width: 100%;
  color: #2B2B2B;
  background-color: #F6F6F6;
  overflow: hidden;
  /*TODO: fix the overflow */
  font-size: 18px;
  font-weight: bold;
  border-bottom: 2px solid #f70e4b;
}
div.header .left {
  width: 15%;
  display: inline-block;
  vertical-align: top;
  padding: 2px;
  font-size: 10px;
  line-height: 13px;
}
div.header .left i {
  font-size: 25px;
  outline: none;
  padding-right: 2px;

}
div.header .left a {
  outline: none;
  padding-right: 8px;
}
div.header .middle {
  width: 60%;
  display: inline-block;
  vertical-align: middle;

  /*padding: 3px 10px 5px 10px;*/
}


div.header .middle .songname {
  display: inline-block;
  font-size: 18px;
  font-weight: bold;
  vertical-align: bottom;
  /*position: absolute;*/
  left: 0;
  /*top: 16px;*/
  width: 100%;
  overflow-x: hidden;
  text-overflow: ellipsis;
  height: 100%;
}
div.header .middle .songname input {
  font-weight: bold;
  overflow-x: hidden;
  text-overflow: ellipsis;
  text-align: center;
  /*height: 22px;*/
  background-color: rgba(0,0,0,0);
  width: 100%;
  border: 0;
  outline-width: 1px;
}
div.header .middle .songname input:focus {
    outline: none;
}


div.header .btn-label {
  position: relative;
  /*left: -12px;*/
  display: inline-block;
  padding: 6px 12px;
  border-radius: 3px 0 0 3px;
  background: rgba(0, 0, 0, 0.15);
}
div.header .btn-labeled {
  padding-top: 0;
  padding-bottom: 0;
}

div.header .right {
  width: 24%;
  display: inline-block;
  text-align: right;
  padding: 3px 10px 5px 10px;
}
div.header .right span.glyphicon {
  padding-right: 5px;
}

div.header .btn-google{
  font-family: 'Roboto', sans-serif;
  font-size:12px;
  margin-left: 25px;
  outline: none;
  color:#000;
  background-color:#FFF;
  border-color:rgba(0,0,0,0.2)
}
div.header span.btn-label {
  background: rgba(255,255,255,0);
}
div.header .btn-google:focus,
div.header .btn-google.focus {
  outline: none;
  color:#000;
  background-color:#FFF;
  border-color:rgba(0,0,0,0.2)
}
div.header .btn-google:hover {
  outline: none;
  color:#000;
  background-color:#FFF;
  border-color:rgba(0,0,0,0.2)
}
div.header .abcRioButton {
  overflow: initial;
}
div.header .right .dropdown-menu {
  left: -40px;
  font-size: 12px;
  float: none;
}
div.header .right .btn-default {
  padding: 7px 12px;
  font-family: 'Roboto', sans-serif;
  font-size:12px;
  outline: none;
  color:#000;
  background-color:#FFF;
  border-color:rgba(0,0,0,0.2);
}

/* -------------------------------------------------------------------------- */
/* --- BODYMAIN ------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
div.bodymain {
  height: 55%;
  color: #000;
  background-color: #F6F6F6;
  border-bottom: 2px solid #2B2B2B;
  overflow: scroll;
  /*padding-left: 5px;*/
  z-index: 1;
}

/* --- Master Controls ------------------------------------------------------ */
div.bodymain .master-controls {
  width: 100%;
  text-align: right;
  padding: 4px;
  border-top: 2px solid #FFF;
  border-bottom: 2px solid #FFF;
  background-color: rgba(255, 200, 87, 0.85);
  color: #F6F6F6;
  line-height: normal;
  display: inline-table;
  font-size: 12px;
}
div.bodymain .master-controls .left {
  display: inline-block;
  width: 33%;
  /*overflow-x: auto;*/
  text-align: left;
  border-right: 1px dashed rgba(0, 0, 0, 0.1);
}
div.bodymain .master-controls .left .buttons {
  float: left;
}
div.bodymain .master-controls .right {
  display: inline-block;
  width: 67%;
  overflow: hidden;
}

div.bodymain .master-controls .bars {
  margin-right: 5px;
  /*width: 120px;*/
  display: inline-table;
  float: right;
  color: #000;
  outline: none;
  /*padding: 3px 6px 3px 5px;*/
}
div.bodymain .master-controls .bars .input-group {
  text-align: center;
  width: 100px;
  display: inline-table;
  float: right;
}
div.bodymain .master-controls .bars .input-group-addon {
  color: #FFF;
  padding: 6px 6px;
  background-color: #118AB2;
}
div.bodymain .master-controls .bars .form-control {
  outline: none;
  color: black;
  padding: 6px 6px 6px 12px;
}

div.bodymain .master-controls .bars span.leftlabel {
  float:left;
  width: 60%;
  font-weight: bold;
  padding-top: 4px;
  padding-right: 4px;
}


div.bodymain .master-controls .master-volume {
  padding-left: 5px;
  width: 140px;
  display: inline-table;
  float: right;
  color: #000;
  outline: none;
  font-size: 14px;
}
div.bodymain .master-controls .master-volume i {
  display: table-cell;
  font-size: 16px;
  padding-top: 10px;
}
div.bodymain .master-controls .master-volume i.fa-volume-down {
  padding-right: 8px;
}
div.bodymain .master-controls .master-volume i.fa-volume-up {
  padding-left: 8px;
  padding-right: 4px;
  right: 0;
}
div.bodymain .master-controls .master-volume .slider {
  position: absolute;
  /*left: 24px;*/
  margin: 0 auto;
  height: 8px;
  width: 120px;
  background: #555;
  border-radius: 15px;
}

div.bodymain .master-controls .master-volume .input-group {
  text-align: center;
  width: 200px;
  display: inline-table;
  float: right;
  line-height: 24px;
}
div.bodymain .master-controls .master-volume .form-control {
  outline: none;
  padding: 6px 12px 6px 12px;
}
div.bodymain .master-controls .master-volume .input-group-addon {
  /*color: #FFF;
  background-color: #011627;*/
  height: 34px;
  border-radius: 4px;
}
div.bodymain .master-controls .master-volume label {
  /*margin-right: 5px;*/
  /*margin-bottom: 0px;*/
  display: inline-table;
  float: left;
  font-weight: normal;
  color: #000;
}
div.bodymain .master-controls .master-volume .output {
  font-weight: bold;
  /*margin-top: -1px;*/
}
div.bodymain .master-controls .master-volume input {
    background-color: rgba(255, 200, 87, 0);

}
div.bodymain .master-controls .master-volume input[type=range] {
  -webkit-appearance: none;
  width: 100%;
  display: inline-table;
  /*float: right;*/
  padding-bottom: 3px;
  outline: none;
}
div.bodymain .master-controls .master-volume input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #000;
	width: 6px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;
}
div.bodymain .master-controls .master-volume input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: #666;
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}



div.bodymain .master-controls .tempo .input-group {
  text-align: center;
  width: 173px;
  display: inline-table;
  float: right;
}
div.bodymain .master-controls .tempo .form-control {
  padding: 6px 6px 6px 12px;
}
div.bodymain .master-controls .tempo .input-group-addon {
  color: #FFF;
  background-color: #9067C6;
}
div.bodymain .master-controls .metronome {
  margin-right: 5px;
}

div.bodymain .master-controls .currentbar {
  margin-right: 5px;
  width: 40px;
  display: inline-table;
  float: right;
  color: #4C4C4C;
  font-weight: bold;
  padding-right: 5px;
  padding-left: 5px;
  padding-top: 8px;
  font-size: 16px;
  text-align: center;
}

div.bodymain .master-controls .metronome button {
  margin-right: 5px;
  display: inline-table;
  float: right;
  width: 130px;
}
div.bodymain .master-controls .metronome li {
  font-size: 30px;
  line-height: 24px;
  padding-top: 4px;
  width: 20px;
  float: right;
}
div.bodymain .master-controls .metronome li.on.active {
  color: #FFFFFF;
  list-style: disc;
}
div.bodymain .master-controls .metronome li.on {
  color: #FFFFFF;
  list-style: circle;
}
div.bodymain .master-controls .metronome li.off {
  display: none;
}

/* --- Multitrack- ---------------------------------------------------------- */
div.bodymain .multitrack {
  text-align: center;
  border-top: 2px solid #f8265e;
  height: 90%;
  overflow: hidden;
}
div.bodymain .multitrack .left {
  float: left;
  display: inline-grid;
  width: 80%;
  overflow: scroll;
  height: 100%;

}
div.bodymain .multitrack .right {
  float: right;
  /*display: inline-grid;*/
  overflow: hidden;
  position: inherit;
  width: 20%;
  height: 100%;
  border-left: 2px solid rgba(0, 0, 0, 0.4);
}
div.bodymain .multitrack .right .effect {
  font-size: 11px;
  overflow: auto;
  display: block;
}
div.bodymain .multitrack .right .effect .form-control {
  float: right;
  width: 90%;
  font-size:10px;
  height: 28px;
  outline: none;
  margin-top: 3px;
}

div.bodymain .multitrack .right span.leftlabel {
  float:left;
  font-weight: bold;
  padding-top: 4px;
  padding-right: 4px;
}
div.bodymain .multitrack .right label {
  /*display: block;*/
  /*padding: 2px 4px;*/
  float: right;
  font-weight: bold;
}
div.bodymain .multitrack .right span.slider {
  float: left;
  overflow: hidden;
  padding: 3px 2px;
  width: 60%;
}
div.bodymain .multitrack .right span.slider input[type=range] {
  width: 100%;
}
div.bodymain .multitrack .right input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #1f60ce;
	width: 8px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;

}
div.bodymain .multitrack .right input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: #6897e8;
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}



div.bodymain .multitrack .right table {
  margin-bottom: 0;
  background-color: #6897e8;
  /*background-color: #5d73e1;*/
}
div.bodymain .multitrack .right thead th {
  text-align: center;
  vertical-align: middle;
  /*border-left: 1px solid rgba(0, 0, 0, 0.1);*/
  border-bottom: 2px solid rgba(0, 0, 0, 0.4);
  /*background-color: rgba(0, 0, 0, 0.5);*/
}
div.bodymain .multitrack .right tbody td {
  border-left: 1px solid rgba(0, 0, 0, 0.1);
  border-top: 1px dotted rgba(0, 0, 0, 1.0);
  background-color: #d3defd;
  font-size: 12px;
  padding-top: 1px;
}
div.bodymain .multitrack .right tbody span.title {
  width: 100%;
  text-align: center;
  display: block;
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
}


div.bodymain .multitrack .progress-bg {
  background: rgba(45,46,44,0.3);
  height: 30px;
  left: 28.9%;
  top: 10.7%;
  position: absolute;
}
div.bodymain .multitrack .progress-line {
  z-index: 4;
  background: rgba(69,203,233,0.6);
  height: 31px;
  position: absolute;
  left: 28.9%;
  top: 10.7%;
  width: 5px;
}

div.bodymain .multitrack .track-volume {
  font-size: 11px;
}
div.bodymain .multitrack .track-volume label {
  /*float: left;*/
  display: block;
  padding: 2px 4px;
  font-weight: bold;
  width: 35%;
  overflow: hidden;
}
div.bodymain .multitrack .track-volume span.slider {
  float: left;
  overflow: hidden;
  padding: 0px 4px;
  width: 65%;
}
div.bodymain .multitrack .track-volume span.slider input[type=range] {
  width: 100%;
}
div.bodymain .multitrack .track-volume input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #2B2B2B;
	width: 10px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;

}
div.bodymain .multitrack .track-volume input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: rgba(0,0,0,0.6);
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}

div.bodymain .multitrack .expanded {
  width: 100%;
  display: none;
  padding-top: 3px;
}

div.bodymain .multitrack .expanded {
  width: 100%;
}
div.bodymain .multitrack .expanded legend {
  border-bottom: 0;
  width: 70%;
  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 0;
  color:#1f60ce;
}
div.bodymain .multitrack .expanded fieldset {
  padding: 0px 3px;
  border:2px solid #6897e8;
}

div.bodymain .multitrack .expanded fieldset .input-group {
  position: relative;
  display: block;
  /*border-bottom: 1px dashed rgba(0,0,0,0.4);*/
}
div.bodymain .multitrack .expanded fieldset .input-group .btn {
  /*display: block;*/
  float: left;
  font-size:10px;
  width: 20%;
  outline: none;
}
div.bodymain .multitrack .expanded fieldset .input-group .btn-off {
  color: #FFF;
  background-color: #d9534f;
  border-color: #d43f3a;
}
div.bodymain .multitrack .expanded fieldset .input-group .btn-on {
  color: #FFF;
  background-color: #449d44;
  border-color: #398439;
}

div.bodymain .multitrack .expanded .effect {
  font-size: 11px;
  width: 100%;
  /*margin: 5px 0px;*/
  overflow: auto;
  display: block;
}
div.bodymain .multitrack .expanded .effect span.leftlabel {
  float:left;
  width: 15%;
  font-weight: bold;
  padding-top: 4px;
  padding-right: 4px;
}
div.bodymain .multitrack .expanded .effect label {
  /*display: block;*/
  /*padding: 2px 4px;*/
  float: right;
  width: 15%;
  margin: 3px 0;
  font-weight: bold;
}
div.bodymain .multitrack .expanded .effect span.slider {
  float: left;
  width: 70%;
  overflow: hidden;
  padding: 2px 4px;
}
div.bodymain .multitrack .expanded .effect span.slider input[type=range] {
  width: 100%;
}
div.bodymain .multitrack .expanded .effect input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #1f60ce;
	width: 6px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;

}
div.bodymain .multitrack .expanded .effect input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: #6897e8;
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}



div.bodymain .multitrack label {
  margin: 4px 0;
  /*margin-bottom: 14px;*/
  /*-webkit-transform:rotate(90deg);*/
  -webkit-appearance:none;
  outline: none;
}
div.bodymain .multitrack input[type=range] {
  float: right;
  margin: 8px 0;
  /*margin-bottom: 14px;*/
  /*-webkit-transform:rotate(90deg);*/
  -webkit-appearance:none;
  outline: none;
}



div.bodymain .multitrack .left thead {
  /*TODO: make header static on scroll + fade if scrolled at all */
}
div.bodymain .multitrack .left thead th {
  font-size: 10px;
}
div.bodymain .multitrack .left thead th:first-child,
div.bodymain .multitrack .left thead th:nth-child(2) {
  font-size: 12px;
}
div.bodymain .multitrack .left thead th {
  text-align: center;
  border-left: 1px solid rgba(0, 0, 0, 0.1);
  border-bottom: 2px solid rgba(0, 0, 0, 0.4);
  background-color: rgba(0, 0, 0, 0.3);
}
div.bodymain .multitrack .left thead th.active {
  background-color: rgba(69,203,233,0.4);
}
div.bodymain .multitrack .left thead th.bar.active {
  background-color: rgba(106,213,237,1);
}
div.bodymain .multitrack .left thead th.bar {
  background-color: rgba(0, 0, 0, 0.4);
}
div.bodymain .multitrack .left thead th:first-child {
  border-left: none;
  border-right: 1px solid rgba(0, 0, 0, 0.4);
}
div.bodymain .multitrack .left thead th:nth-child(2) {
  border-left: none;
  border-right: 1px solid rgba(0, 0, 0, 0.4);
}
div.bodymain .multitrack .left tbody td {
  border-left: 1px solid rgba(0, 0, 0, 0.1);
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  background-color: rgba(0, 0, 0, 0.1);
  font-size: 12px;
  padding: 2px;
  vertical-align: middle;
}
div.bodymain .multitrack tbody .btn {
  font-size: 8px;
  padding: 0px 4px;
}
div.bodymain .multitrack tbody tr {
  border-bottom: 1px solid rgba(0, 0, 0, 0.6);
}

div.bodymain .multitrack .left tbody td:first-child {
  border-left: none;
  background-color: rgba(0, 0, 0, 0.3);
  border-right: 1px solid rgba(0, 0, 0, 0.4);
  /*padding-top: 10px;*/
  vertical-align: middle;
}
div.bodymain .multitrack .left tbody td:nth-child(2) {
  border-right: 1px solid rgba(0, 0, 0, 0.4);
}
div.bodymain .multitrack .left tbody td.active {
  background-color: rgba(255, 200, 87, 0.25);
  transition: box-shadow 200ms;
}
div.bodymain .multitrack tbody td .col1-left {
  overflow: hidden;
  text-align: center;
  vertical-align: middle;
  text-overflow: ellipsis;
  font-weight: bold;
  margin-bottom: 4px;
  width: 100%;
  display: inline-block;
  /*float: left;*/
  /*margin-left: 3px;*/
}
div.bodymain .multitrack tbody td .col1-left-sm {
  overflow: hidden;
  text-align: center;
  vertical-align: middle;
  text-overflow: ellipsis;
  font-weight: bold;
  margin-bottom: 4px;
  width: 75%;
  display: inline-block;
  /*float: left;*/
  /*margin-left: 3px;*/
}
div.bodymain .multitrack tbody td .col1-right {
  text-align: center;
  overflow: hidden;
  display: inline-block;
  /*float: right;*/
}
div.bodymain .multitrack tbody td .col1-right-sm {
  text-align: center;
  overflow: hidden;
  width: 18%;
  margin-bottom: -2px;
  display: inline-block;
  /*float: right;*/
}

div.bodymain .multitrack tbody td .col1-right .btn {
  outline: none;
  text-align: center;
  font-size: 10px;
  padding: 1px 6px;
}
div.bodymain .multitrack tbody td .col1-right .btn-success {
  /*background-color: #333;*/
  color: #FFF;
  outline: none;
  text-align: center;
  font-size: 10px;
  padding: 1px 6px;
}
div.bodymain .multitrack tbody td .col1-right .btn:focus {
  outline: none;
}
div.bodymain .multitrack tbody textarea {
  width: 49.5%;
  /*height: 30px;*/
  font-weight: bold;
  text-align: left;
  padding-left: 5px;
  padding-right: 5px;
  resize: none;
  font-size: 12px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  line-height: 20px;
  /*background-image: -webkit-linear-gradient(top , transparent, transparent 19px, #FEE9EE 0);*/
  /*-webkit-background-size:  100% 20px;*/
}

/*
div.bodymain .multitrack thead .timing input {
	color: rgba(0,0,0,0.3);
	font-size: 10px;
	width: 11%;
	line-height:10px;
	padding: 0;
	font-weight: bold;
	text-align: center;
	border: 0;
	background-color: rgba(255,255,255,0.0);
	border-right: 1px solid rgba(0,0,0,0.2);
}
*/


/* -------------------------------------------------------------------------- */
/* --- FOOTER --------------------------------------------------------------- */
/* -------------------------------------------------------------------------- */
div.footer {
  height: 40%;
  width: 100%;
  padding: 3px 10px 2px 10px;
  background-color: #2B2B2B;
  color: #FFF;
  overflow: hidden;
}



/* --- Left Controls -------------------------------------------------------- */
div.footer .controls {
  text-align: center;
  height: 100%;
  width: 200px;
  /*margin: 10px auto;*/
  padding: 5px 5px 5px 2px;
  overflow: hidden;
  float: left;
  display: inline-block;
}
div.footer .controls .trackname input {
  text-align: center;
  background-color: rgba(0,0,0,0);
  /*padding: 5px 5px 5px 2px;*/
  /*margin: 5px 5px 5px 2px;*/
  margin: 2px 0px;
  font-size: 24px;
  width: 100%;
  font-weight: bold;
  overflow: hidden;
  text-align: center;
  border: 0;
  outline-width: 1px;
  /*display: inline-block;*/
}
div.footer .controls .btn-label {
  position: relative;
  left: -6px;
  display: inline-block;
  padding: 6px 12px;
  border-radius: 3px 0 0 3px;
  background: rgba(0, 0, 0, 0.15);
}
div.footer .controls .btn-labeled {
  padding: 0 6px 0 4px;
  margin-bottom: 5px;
  font-size: 13px;
  outline: none;
}
div.footer .controls .oscillator {
  padding-bottom: 8px;
}
div.footer .controls .oscillator .input-group-addon {
  font-size: 11px;
  padding: 0 4px 0 4px;
}
div.footer .controls .oscillator .form-control {
  font-size: 11px;
  padding: 0 4px 0 4px;
  height: 20px;
}
div.footer .controls .adsr {
  text-align: center;
  font-size: 11px;
  overflow: auto;
  display: block;
}
div.footer .controls .adsr div.row {
  margin-right:0;
}
div.footer .controls .adsr span.leftlabel {
  float:left;
  font-weight: bold;
  padding-top: 4px;
  padding-right: 2px;
}
div.footer .controls .adsr span.slider {
  float: left;
  overflow: hidden;
  padding: 5px 6px;
  width: 50%;
}
div.footer .controls .adsr label {
  float: right;
  font-weight: bold;
  font-size: 11px;
  padding-top: 4px;
}

div.footer .controls .adsr input[type=range] {
  float: right;
  margin: 6px 0;
  /*margin-bottom: 14px;*/
  /*-webkit-transform:rotate(90deg);*/
  -webkit-appearance:none;
  outline: none;
}
div.footer .controls .adsr input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: rgb(247, 14, 75);
	width: 10px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;

}
div.footer .controls .adsr input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: rgba(0,0,0,0.6);
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}



/* Container used for styling the custom select, the buttom class adds the bg gradient, corners, etc. */
div.footer .controls .samplerdrop {
  width: 100%;
  display:inline-flex;
  /*margin-top:5px;*/
  text-align: right;
}
div.footer .controls .samplerdrop label {
  width: 30%;
  display:inline-block;
  margin-top:2px;
  margin-right: 5px;
}
div.footer .controls .samplerdrop select {
  width: 70%;
  display:inline-block;
  color: black;
  margin-top:3px;
}


div.footer .controls .samplerpads {
  position: relative;
  display:inline-block;
  width: 100%;
  margin-top:5px;
  height: 100px;
  padding: 2px 1px;
  text-align: left;
}



/* --- COMMON -------------------------------------------------------- */
div.footer .keyboard .progress-bg,
div.footer .sampler .progress-bg {
  background: rgba(45,46,44,0.3);
  height:100%;
  margin-top: -6px;
  position: absolute;
}
div.footer .keyboard .progress-line,
div.footer .sampler .progress-line {
  z-index: 4;
  background: rgba(69,203,133,0.6);
  height: 100%;
  margin-top: -6px;
  position: absolute;
  left: 0;
  top: 0;
  width: 3px;
}


/* --- KEYBOARD -------------------------------------------------------- */
div.footer .keyboard {
  /*text-align: center;*/
  height: 100%;
  width: 818px;
  border: 1px dashed rgba(247, 14, 75, 0.9);
  background: rgba(0, 0, 0, 0.3);
  /*margin: 10px auto;*/
  margin-left: 10px;
  padding-right: 0px;
  /*padding-bottom:22px;*/
  overflow-y: hidden;
  float: left;
  display: inline-block;
  /*padding-top: 5px;*/
}
div.footer .keyboard .gridtitle {
  height: 22px;
  width: 100%;
  position: initial;
  box-sizing: border-box;
  /*display: block;*/
}
div.footer .keyboard .gridtitle .spacer {
  height: 22px;
  width: 35px;
  /*position: initial;*/
  box-sizing: border-box;
  display: inline-block;
}
div.footer .keyboard .gridtitle table {
  font-size: 12px;
  height: 350px;
  width: calc(100% - 66px);
  border: 1px dashed #f70e4b;
  float: right;
  margin-right: 5px;
  border-collapse: collapse;
}
div.footer .keyboard .gridtitle thead {
  width: 100%;
}
div.footer .keyboard .gridtitle thead th.active {
  background-color: rgba(69,203,233,0.4);

}
div.footer .keyboard .gridtitle thead th.beat.active {
  background-color: rgba(106,213,237,1);
}
div.footer .keyboard .gridtitle thead th.beat {
  background-color: rgba(255, 255, 255, 0.3);
}

div.footer .keyboard .gridtitle thead tr {
  position: relative;
  background-color: rgba(255, 255, 255, 0.2);
  height: 21px;
  width: 100%;
  border-bottom: 2px solid rgba(0, 0, 0, 0.9);
  vertical-align: bottom;
}
div.footer .keyboard .gridtitle thead tr th {
  width: 52px;
  padding-left: 5px;
  border-right: 1px dashed rgba(0, 0, 0, 0.5);
}

div.footer .keyboard .gridtitle thead tr th:nth-child(4n) {
	border-right: 1px solid rgba(0,0,0,0.5);
}

/* --- Left Keys ------------------------------------------------------------ */
div.footer .keyboard .keys {
  /*text-align: center;*/
  /*height: calc(100% - 22px);*/
  height: 100%;
  padding-bottom:44px;
  /*width: 7%;*/
  width: 61px;
  /*border: 1px dashed #f70e4b;*/
  /*margin: 10px auto;*/
  /*padding: 10px 10px 10px 10px;*/
  overflow-y: hidden;
  /*float: left;*/
  display: inline-block;
  /*padding-top: 5px;*/
  /*padding-top:21px;*/
  box-sizing: border-box;
}
div.footer .keyboard .keys ul {
  /*display: inline-block;*/
  /*vertical-align: middle;*/
  padding-left: 25px;
  /*margin-top: 12px;*/
}
div.footer .keyboard .keys ul li {
  position: relative;
  display: block;
  font-size: 8px;
  /*text-align: center;*/
  text-indent: -20px;
  color: #FFF;
  border: 1px solid #A8A8A8;
  margin-top: -1px;
}
div.footer .keyboard .keys ul li .whitekey {
  width: 35px;
  height: 12px;
  /*border:1px solid #A8A8A8;*/
  /*-webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px;
	-webkit-box-shadow: #979797 1px 1px 1px; -moz-box-shadow: #979797 1px 1px 1px; box-shadow: #979797 1px 1px 1px;*/
  cursor: pointer;
  position: relative;
  background-color: #ffffe6;
  /*padding-top: 170px;*/
}
div.footer .keyboard .keys ul li .whitekey.active {
  background-color: rgba(206,206,186, 1) !important;
}
div.footer .keyboard .keys ul li .blackkey {
  width: 35px;
  height: 12px;
  /*border:1px solid #434343;*/
  /*-webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px;
	-webkit-box-shadow: #979797 1px 1px 1px; -moz-box-shadow: #979797 1px 1px 1px; box-shadow: #979797 1px 1px 1px;*/
  cursor: pointer;
  background-color: #191917;
  /*display: block;
	position: absolute;
	z-index: 2;*/
  /*left: 15px;*/
  /*padding-right: 25px;*/
}
div.footer .keyboard .keys ul li .blackkey.active {
  background-color: rgba(88,88,87, 1) !important;
}

/* --- Grid ----------------------------------------------------------------- */
div.footer .keyboard .grid {
  position: relative;
  font-size: 8px;
  height: 100%;
  padding-bottom:22px;
  width: 750px;
  float: right;
  padding-top: 5px;
  margin-right: 5px;
  overflow-y: scroll;
  overflow-x: hidden;
}
div.footer .keyboard .grid .progress-bg {
  background: rgba(45,46,44,0.3);
  height:100%;
  margin-top: -6px;
  position: absolute;
}
div.footer .keyboard .grid .progress-line {
  z-index: 4;
  background: rgba(69,203,133,0.6);
  height: 100%;
  margin-top: -6px;
  position: absolute;
  left: 0;
  top: 0;
  width: 3px;
}
div.footer .keyboard .grid table {
  font-size: 12px;
  height: 350px;
  width: 100%;
  border: 1px dashed #f70e4b;
  float: right;
  margin-top: -6px;
  border-collapse: collapse;
  overflow-y: scroll;
}
div.footer .keyboard .grid .loading {
  position: absolute;
  height: 100%;
  width: 100%;
  background-image: url('../images/loading.png');
  background-repeat: no-repeat;
  background-position: 50% 15%;
  background-size: 10%;
  display:inline-block;
}
div.footer .keyboard .grid .loading .hide {
  display:none;
}
div.footer .keyboard .grid thead {
  width: 100%;
}
div.footer .keyboard .grid thead tr {
  position: relative;
  background-color: rgba(255, 255, 255, 0.2);
  height: 21px;
  width: 100%;
  border-bottom: 2px solid rgba(0, 0, 0, 0.9);
  vertical-align: bottom;
}
div.footer .keyboard .grid thead tr th {
  width: 52px;
  padding-left: 5px;
  border-right: 1px dashed rgba(0, 0, 0, 0.5);
}
div.footer .keyboard .grid thead tr th:nth-child(4n) {
	border-right: 1px solid rgba(0,0,0,0.5);
}
div.footer .keyboard .grid tbody {
  height: 100%;
}


div.footer .keyboard .grid tbody tr {
  /*position: relative;*/
  background-color: rgba(255, 255, 255, 0.45);
  width: 100%;
  height: 13px;
  vertical-align: middle;
  /*border-bottom: 1px solid rgba(0,0,0,0.3);*/
}
div.footer .keyboard .grid tbody tr:nth-child(2n) {
  background-color: rgba(255, 255, 255, 0.32);
  /*height: 10px;*/
}
div.footer .keyboard .grid tbody tr:nth-child(7) {
  border-bottom: 1px solid rgba(0, 0, 0, 0.55);
  /*height: 10px;*/
}
div.footer .keyboard .grid tbody tr:nth-child(12) {
  border-bottom: 1px solid rgba(0, 0, 0, 0.7);
  /*height: 10px;*/
}
div.footer .keyboard .grid tbody tr:nth-child(19) {
  border-bottom: 1px solid rgba(0, 0, 0, 0.55);
  /*height: 10px;*/
}
div.footer .keyboard .grid tbody tr td {
  width: 52px;
  /*height: 10px;*/
  /*padding-left: 5px;*/
  /*overflow: hidden;*/
  border-right: 1px dashed rgba(0, 0, 0, 0.1);
}
div.footer .keyboard .grid tbody tr td .shown {
 display: table-cell;
}

div.footer .keyboard .grid tbody tr td .hidden {
  display: none;
}
div.footer .keyboard .grid tbody tr td:nth-child(4n) {
  border-right: 1px solid rgba(0,0,0,0.3);
}
div.footer .keyboard .grid .block {
  background-color: #FA2E79;
  height: 9px;
  /*width: 6.25%;*/
  margin-top: -3px;
  position: absolute;
  -moz-box-shadow: inset -1px -1px 0px 0px rgb(23, 23, 23);
  -webkit-box-shadow: inset -1px -1px 0px 0px rgb(23, 23, 23);
  box-shadow: inset -1px -1px 0px 0px rgb(23, 23, 23);
}





/* --- SAMPLER -------------------------------------------------------- */
div.footer .sampler {
  /*text-align: center;*/
  height: 100%;
  width: 818px;
  border: 1px dashed rgba(247, 14, 75, 0.9);
  background: rgba(0, 0, 0, 0.3);
  /*margin: 10px auto;*/
  margin-left: 10px;
  padding-right: 0px;
  /*padding-bottom:22px;*/
  overflow-y: hidden;
  float: left;
  display: inline-block;
  /*padding-top: 5px;*/
}
div.footer .sampler .gridtitle {
  height: 22px;
  width: 100%;
  position: initial;
  box-sizing: border-box;
  /*display: block;*/
}
div.footer .sampler .gridtitle .spacer {
  height: 22px;
  width: 35px;
  /*position: initial;*/
  box-sizing: border-box;
  display: inline-block;
}
div.footer .sampler .gridtitle table {
  font-size: 12px;
  height: 350px;
  width: calc(100% - 150px);
  /*border: 1px dashed #f70e4b;*/
  float: right;
  margin-right: 7px;
  border-collapse: collapse;
}
div.footer .sampler .gridtitle thead {
  width: 100%;
}
div.footer .sampler .gridtitle thead th.active {
  background-color: rgba(69,203,233,0.4);

}
div.footer .sampler .gridtitle thead th.beat.active {
  background-color: rgba(106,213,237,1);
}
div.footer .sampler .gridtitle thead th.beat {
  background-color: rgba(255, 255, 255, 0.3);
}

div.footer .sampler .gridtitle thead tr {
  position: relative;
  background-color: rgba(255, 255, 255, 0.2);
  height: 21px;
  width: 100%;
  border-bottom: 2px solid rgba(0, 0, 0, 0.9);
  vertical-align: bottom;
}
div.footer .sampler .gridtitle thead tr th {
  width: 52px;
  padding-left: 5px;
  border-right: 1px dashed rgba(0, 0, 0, 0.5);
}

div.footer .sampler .gridtitle thead tr th:nth-child(4n+1) {
	border-right: 1px solid rgba(0,0,0,0.5);
}


/* --- Left Keys ------------------------------------------------------------ */
div.footer .sampler .keys {
  height: 100%;
  width: 261px;
  overflow-y: hidden;
  display: inline-block;
  margin-top: -5px;
  box-sizing: border-box;
}
::-webkit-scrollbar {
    display: none;
}



/* --- Checkboxes ------------------------------------------------------------ */
div.footer .sampler input[type="checkbox"] {
  user-select: none;
}
div.footer .sampler .control input[type="checkbox"]:hover ~ .status {
  background: rgba(153,231,214, 0.5);
}
div.footer .sampler .control input[type="checkbox"]:checked:hover ~ .status {
  background: rgba(52,207,174, 1);
}
div.footer .sampler .control {
	font-size: 18px;
	position: relative;
	display: block;
	margin-top: -12px;
	padding-left: 30px;
	cursor: pointer;
}
div.footer .sampler .control input {
	position: absolute;
	z-index: -1;
	opacity: 0;
}

div.footer .sampler .control .status {
	position: absolute;
  margin-left: 7px;
	top: 3px;
	left: 1px;
	width: 18px;
	height: 18px;
	background: rgba(255,255,255,0.2);
  border: 1px solid rgba(0,0,0,1);
}
div.footer .sampler .control input:checked ~ .status {
	background: rgba(2,195,154, 1);
  border: 1px solid #006d61;
}
div.footer .sampler .control input:checked ~ .status:after {
	display: block;
}
div.footer .sampler .control--checkbox .status:after {
	top: 4px;
	left: 8px;
	width: 3px;
	height: 8px;
	transform: rotate(45deg);
	border: solid #fff;
	border-width: 0 2px 2px 0;
}


div.footer .sampler .keys ul {
  /*display: inline-block;*/
  /*vertical-align: middle;*/
  padding-left: 10px;
  /*margin-top: 12px;*/
}
div.footer .sampler .keys ul li {
  margin-top: 8px;
  position: relative;
  display: block;
  font-size: 8px;
  /*text-align: center;*/
  text-indent: -20px;
  color: #FFF;
  border: 1px dotted rgba(255,255,255,0.3);
}
div.footer .sampler .keys .pitch {
  width: 50%;
  display: table-cell;
}
div.footer .sampler .keys .pitch .btn,
div.footer .sampler .keys .pitch .btn-default,
div.footer .sampler .keys .pitch .btn-xs {
  font-size: 7px;
  font-weight: bold;
  padding: 0px 4px;
  border-radius: 3px;
  float: left;
  position: relative;
  top: 8px;
  left: 6px;
  outline: none;
}

div.footer .sampler .keys .pitch input {
  background-color: rgba(255, 200, 87, 0);
  height: 28px;
  padding-left: 10px;
}
div.footer .sampler .keys .pitch input[type=range] {
  -webkit-appearance: none;
  width: 64%;
  display: table-cell;
  /*float: right;*/
  /*padding-bottom: 3px;*/
  outline: none;
}
div.footer .sampler .keys .pitch input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	background-color: #FFF;
	width: 6px;
	height: 15px;
	cursor: pointer;
  margin-top: -6px;
}
div.footer .sampler .keys .pitch input[type=range]::-webkit-slider-runnable-track {
	-webkit-appearance: none;
	background-color: rgba(255,255,255,0.4);
	/*width: 1px;*/
  height: 4px;
	cursor: pointer;
}

div.footer .sampler .keys ul li .whitekey {
  width: 0px;
  height: 28px;
  margin-left: 197px;
  /*border:1px solid #A8A8A8;*/
  /*-webkit-border-radius: 5px; -moz-border-radius: 5px; border-radius: 5px;
	-webkit-box-shadow: #979797 1px 1px 1px; -moz-box-shadow: #979797 1px 1px 1px; box-shadow: #979797 1px 1px 1px;*/
  cursor: pointer;
  position: relative;
  background-color: #F0A6CA;
  /*padding-top: 170px;*/
}
div.footer .sampler .keys ul li .whitekey.active {
  background-color: #EFC3E6 !important;
}
div.footer .sampler .keys ul li .input-group {
  position: relative;
  display: block;
  text-indent: -20px;
  color: #FFF;
  /*border: 1px solid #A8A8A8;*/
}
div.footer .sampler .keys ul li .input-group select {
  font-size: 10px;
}
div.footer .sampler .keys ul li .input-group .form-control {
  width: 50%;
  font-size:10px;
  height: 20px;
  outline: none;
  margin-top: 4px;
  margin-left: 6px;
}



div.footer .sampler .keys .singlepad label {
  font-size: 8px;
  /*padding: 2px 3px;*/
  color: #FFF;
  /*float: left;*/
  position: absolute;
  left: 22px;
}
div.footer .sampler .keys .samplelabel {
  font-size: 10px;
  /*padding: 2px 3px;*/
  color: #FFF;
  font-weight: normal;
  position: absolute;
  bottom: 0px;
  right: 2px;
  overflow-x: hidden;
  text-overflow: ellipsis;
  width: 90%;
  white-space:nowrap;
  text-align: right;
}
div.footer .sampler .keys .singlepad {
  position: relative;
  width: 24%;
  /*height: 90%;*/
  background: rgba(0, 168, 150, 1);
  display: table-cell;
  margin: 0 3px;
  border: 1px dashed rgba(255, 255, 255, 0.8);
}
div.footer .sampler .keys .singlepad.active {
  background: rgba(0,207,185, 1);
}
div.footer .sampler .keys .singlepad.deactivated {
  background: rgba(255,255,255,0.5) !important;
  border: 1px dashed rgba(255, 255, 255, 0.6);
}
div.footer .sampler .keys .singlepad.deactivated.active {
  background: rgba(255,255,255,0.7) !important;
  border: 1px dashed rgba(255, 255, 255, 0.6);
}



/* --- Grid ----------------------------------------------------------------- */
div.footer .sampler .grid {
  position: relative;
  font-size: 8px;
  height: 100%;
  padding-bottom:22px;
  width: 550px;
  float: right;
  padding-top: 5px;
  margin-right: 5px;
  overflow-y: scroll;
  overflow-x: hidden;
}
div.footer .sampler .grid table {
  font-size: 12px;
  /*height: 350px;*/
  width: 100%;
  border: 1px dashed #f70e4b;
  float: right;
  margin-top: -6px;
  border-collapse: collapse;
  overflow-y: scroll;
}
div.footer .sampler .grid .loading {
  position: absolute;
  height: 100%;
  width: 100%;
  background-image: url('../images/loading.png');
  background-repeat: no-repeat;
  background-position: 50% 15%;
  background-size: 10%;
  display:inline-block;
}
div.footer .sampler .grid .loading .hide {
  display:none;
}
div.footer .sampler .grid thead {
  width: 100%;
}
div.footer .sampler .grid thead tr {
  position: relative;
  background-color: rgba(255, 255, 255, 0.2);
  height: 21px;
  width: 100%;
  border-bottom: 2px solid rgba(0, 0, 0, 0.9);
  vertical-align: bottom;
}
div.footer .sampler .grid thead tr th {
  width: 52px;
  padding-left: 5px;
  border-right: 1px dashed rgba(0, 0, 0, 0.5);
}
div.footer .sampler .grid thead tr th:nth-child(4n) {
	border-right: 1px solid rgba(0,0,0,0.5);
}
div.footer .sampler .grid tbody {
  height: 100%;
}


div.footer .sampler .grid tbody tr {
  /*position: relative;*/
  background-color: rgba(255, 255, 255, 0.45);
  width: 100%;
  height: 13px;
  vertical-align: middle;
  /*border-bottom: 1px solid rgba(0,0,0,0.3);*/
}
div.footer .sampler .grid tbody tr:nth-child(2n) {
  background-color: rgba(255, 255, 255, 0.32);
  /*height: 10px;*/
}
div.footer .sampler .grid tbody tr td {
  width: 52px;
  height: 38px;
  /*padding-left: 5px;*/
  /*overflow: hidden;*/
  border-right: 1px dashed rgba(0, 0, 0, 0.1);
}
div.footer .sampler .grid tbody tr td:nth-child(4n) {
	border-right: 1px dashed rgba(0,0,0,0.5);
}
div.footer .sampler .grid tbody tr td .shown {
 display: table-cell;
}
div.footer .sampler .grid tbody tr td .hidden {
  display: none;
}



/* --- Bar Control ---------------------------------------------------------- */
div.footer .barcontrol,
div.footer .barcontrol {
  height: auto;
  width: 130px;
  position: initial;
  border: 1px dashed rgba(255, 255, 255, 0.5);
  margin-left: 10px;
  padding-right: 0px;
  padding-bottom: 3px;
  /*overflow-y: hidden;*/
  display: inline-block;
  box-sizing: border-box;
  text-align: center;
  float: left;
  font-size: 12px;
  /*padding-top: 5px;*/
}

div.footer .barcontrol h3,
div.footer .barcontrol h3 {
  font-size: 18px;
  margin: 5px 2px;
}
div.footer .barcontrol .buttons,
div.footer .barcontrol .buttons {
  font-size: 30px;
  padding-bottom: 10px;
}
div.footer .barcontrol .btn,
div.footer .barcontrol .btn {
  outline: none;
}
div.footer .barcontrol .info,
div.footer .barcontrol .info {
  /*line-height: 24px;*/
  font-size: 8px;
  text-transform: uppercase;
}
div.footer .barcontrol .info .output,
div.footer .barcontrol .info .output {
  font-weight: normal;
  font-size: 18px;
}
